import { NgModule } from "@angular/core";
import { FormsModule } from "@angular/forms";
import { BrowserModule } from "@angular/platform-browser";
import { BrowserAnimationsModule } from "@angular/platform-browser/animations";
import { AppComponent } from "./app.component";

import {
  IgxNumericXAxisModule,
  IgxNumericYAxisModule,
  IgxMoneyFlowIndexIndicatorModule,
  IgxLegendModule,
  IgxDataChartCoreModule,
  IgxDataChartCategoryModule,
  IgxDataChartInteractivityModule,
  IgxFinancialPriceSeriesModule
} from "igniteui-angular-charts";


@NgModule({
  bootstrap: [AppComponent],
  declarations: [
    AppComponent,

],
  imports: [
    BrowserModule,
    BrowserAnimationsModule,
    FormsModule,    
    IgxNumericYAxisModule,    
    IgxLegendModule,
    IgxDataChartCoreModule,
    IgxDataChartCategoryModule,
    IgxDataChartInteractivityModule    
],  
  entryComponents: [],
  schemas: []
})
export class AppModule {}
