import { Component, OnInit } from "@angular/core";

@Component({
  selector: "app-root",
  styleUrls: ["./app.component.scss"],
  templateUrl: "./app.component.html"
})

export class AppComponent implements OnInit {

    public data: any[];
    
    constructor() {
      this.initData();
    }

    public initData(){
      let _data: any[] = [];

      for(let i=0; i<100; i++){

        let item = { Label: "Item " + i.toString(), Number: i};

        if(i < 40 && i > 20){
          item.Number = null;
        }

        _data.push(item);
      }      

      this.data = _data;
    }

    public assigningCategoryMarkerStyle(e: any){
      
      let items = e.getItems(e.startIndex, e.endIndex);

      let item : any = items[0];

      if(item == this.data[this.data.length - 1]){
        console.log("GOT HERE!");
        console.log(e);

        e.fill = "transparent";
        e.stroke = "transparent";
      }
    }

    public ngOnInit() {
    }

}
